Redmine API: can wiki pages contain uploads

2013-04-23 01:01 - Fabrice Brito

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

hi!

I'm trying to add attachments to a wiki page created via the Redmine API.

Is the XML below supported?

<?xml version="1.0"?>

<wiki_page>

  <text>Some text

</text>

  <comments></comments>

<uploads type=array>

<upload>

<token>538.587d2a7796df47552dd720c83e952a2b</token>

<filename>application.1.xml</filename>

<content_type>text/plain</content_type>

</upload>

<upload>

<token>539.0f92777604a4ea3fa0cde1208042f641</token>

<filename>application.2.xml</filename>

<content_type>text/plain</content_type>

</upload>

</uploads>

</wiki_page>

Related issues:

Related to Redmine - Feature #13853: Is it possible to sponsor the implementa... Closed

Is duplicate of Redmine - Feature #14830: REST API : Add support for attachin... Closed

History

#1 - 2013-04-24 19:06 - Emmanuel Mathot

+1

I tried in json but no luck

#2 - 2016-01-09 06:59 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as duplicate of #14830.

#3 - 2016-01-09 06:59 - Go MAEDA

- Is duplicate of Feature #14830: REST API : Add support for attaching file to Wiki pages added
